This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 334331 - (perl-Digest-CRC) Review Request: perl-Digest-CRC - Generic CRC functions
Review Request: perl-Digest-CRC - Generic CRC functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 10:17 EDT by Christopher Stone
Modified: 2008-05-23 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.10-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 22:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chris.stone: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-10-16 10:17:15 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/perl-Digest-CRC.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/perl-Digest-CRC-0.10-1.fc7.src.rpm

Description:
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-CCITT, CRC-16 and CRC-32.

rpmlint errors:
perl-Digest-CRC.x86_64: E: zero-length /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/auto/Digest/CRC/CRC.bs

I'm not sure if this file is needed, might have to consult a perl expert.
Comment 1 Christopher Stone 2007-10-16 10:24:28 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/perl-Digest-CRC.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/perl-Digest-CRC-0.10-2.fc7.src.rpm

%changelog
* Tue Oct 16 2007 Christopher Stone <chris.stone@gmail.com> 0.10-2
- Remove zero length files.
Comment 2 Julian Sikorski 2007-10-16 10:40:57 EDT
License is OK (Public Domain)
Builds in mock
Directory ownership OK
Meets naming and packaging guidelines
Dist tag present
Packages latest version
MD5 sums match: 2a065f4081fd923f2245e66597befcfb
Buildroot correct

APPROVED

Comment 3 Christopher Stone 2007-10-16 19:15:29 EDT
New Package CVS Request
=======================
Package Name: perl-Digest-CRC
Short Description: Generic CRC functions
Owners: xulchris
Branches: FC-6 F-7
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-10-17 12:28:49 EDT
cvs done.
Julian: I assume you meant to set fedora-review to + in comment #2?
If for some reason you didn't, let me know. 
Comment 5 Julian Sikorski 2007-10-17 14:19:51 EDT
Sure. I just haven't done a review for a while and forgot that step. Package is
fine.
Comment 6 Fedora Update System 2007-10-17 22:29:48 EDT
perl-Digest-CRC-0.10-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Christopher Stone 2008-05-22 23:19:28 EDT
Package Change Request
======================
Package Name: perl-Digest-CRC
New Branches: EL-5
Comment 8 Kevin Fenzi 2008-05-23 14:41:12 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.